=== debian/changelog ===
kdebase-trinity (4:3.5.13.2-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 07:59:37 +0200

kdebase-trinity (4:3.5.10-2ubuntu12) karmic; urgency=low

  * Repaired kdesktop crash on load
  * Fixed krandrtray crash when randr X extension is unavailable
  * Added option to keys config dialog to alter Win key from modifier status

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 07 Dec 2009 13:24:00 -0600

kdebase-trinity (4:3.5.10-2ubuntu11) karmic; urgency=low

  * Repaired kfind crash on premature close
  * Fixed multiple viewport wallpaper crash on select
  * HAL attempt to unmount root issue resolved

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 22 Nov 2009 20:06:00 -0600

kdebase-trinity (4:3.5.10-2ubuntu10) karmic; urgency=low

  * Added support for Compiz and viewport desktop wallpaper switching
  * Repaired crash on desktop resize on certain systems

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 18 Nov 2009 18:56:00 -0600

kdebase-trinity (4:3.5.10-2ubuntu9) karmic; urgency=low

  * Repaired fancy logout / Compiz graphical glitch

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sat, 14 Nov 2009 15:23:00 -0600

kdebase-trinity (4:3.5.10-2ubuntu8) karmic; urgency=low

  * Repaired Upstart script properly

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 11 Nov 2009 12:33:00 -0600

kdebase-trinity (4:3.5.10-2ubuntu7) karmic; urgency=low

  * Repaired Upstart script (removed respawn stanza)

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 29 Oct 2009 07:31:00 -0600

kdebase-trinity (4:3.5.10-2ubuntu6) karmic; urgency=low

  * Repaired KRandrTray failure when active output device was unplugged; also tweaked UI

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 23 Oct 2009 07:31:00 -0600

kdebase-trinity (4:3.5.10-2ubuntu4) karmic; urgency=low

  * Repaired XRandR support for the desktop wallpaper; removed the annoying tiling issue

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 21 Oct 2009 01:57:00 -0600

kdebase-trinity (4:3.5.10-2ubuntu3) karmic; urgency=low

  * Added missing directory for dpkg-divert to /etc/xdg/menus.kde4

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 20 Oct 2009 13:05:00 -0600

kdebase-trinity (4:3.5.10-2ubuntu2) karmic; urgency=low

  * Added Start menu button icon configuration dialog
  * Delayed kdm-trinity startup to allow for graphics device configuration

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 18 Oct 2009 16:21:00 -0600

kdebase-trinity (4:3.5.10-1ubuntu5) karmic; urgency=low

  * Added new ICC loading functionality to kcontrol and kdm
  * Added new display output switching functionality to krandrtray
  * Beginnings of customizable K menu icon

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 15 Oct 2009 10:46:00 -0600

kdebase-trinity (4:3.5.10-1ubuntu4) karmic; urgency=low

  * Added Start menu button text option to panel configuration dialog
  * Added forcible termination option to kio unmount wrapper

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 14 Oct 2009 13:16:00 -0600

kdebase-trinity (4:3.5.10-1ubuntu3) karmic; urgency=low

  * Default KDM theme set to kubuntu-trinity

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sat, 10 Oct 2009 12:19:00 -0600

kdebase-trinity (4:3.5.10-1ubuntu2) karmic; urgency=low

  * Converted startup to Upstart; boot time is vastly improved

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 07 Oct 2009 20:52:00 -0600

kdebase-trinity (4:3.5.10-1ubuntu0) karmic; urgency=low

  * Repaired control file depends and recommends

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 17 Sep 2009 16:20:00 -0600

kdebase-trinity (4:3.5.10-0ubuntu12) karmic; urgency=low

  * Repaired kdm looking at the wrong pam.d files

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 10 Sep 2009 11:20:00 -0600

kdebase-trinity (4:3.5.10-0ubuntu11) karmic; urgency=low

  * Repaired startkde script to export DESKTOP_SESSION
  * Depends on libogg-dev-la
  * Repaired gcc4.4 compilation problems

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 06 Aug 2009 14:59:00 -0600

kdebase-trinity (4:3.5.10-0ubuntu5) karmic; urgency=low

  * Repaired XDG conflict with KDE4

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 21 July 2009 11:01:00 -0600

kdebase-trinity (4:3.5.10-0ubuntu4) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

kdebase-trinity (4:3.5.10-0ubuntu4~intrepid17) intrepid; urgency=low

  * Repaired unwanted Plasma startup under Jaunty

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 16 Jun 2009 11:08:00 -0600

kdebase-trinity (4:3.5.10-0ubuntu4~intrepid16) intrepid; urgency=low

  * Added tilde to autocompletion

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 05 Jun 2009 15:13:00 -0600

kdebase-trinity (4:3.5.10-0ubuntu4~intrepid14) intrepid; urgency=low

  * Moved xdg items to /opt/trinity/etc/xdg, where they belong

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 17 Apr 2009 01:29:00 -0600

kdebase-trinity (4:3.5.10-0ubuntu4~intrepid10) intrepid; urgency=low

  * Fixed kcontrol device menu items that ended up in lost and found
  * Removed kinfocenter feature, and moved peripheral information views to kcontrolcenter
    This is due in part to the new KDE4 menu directory structure, and it also streamlines
    the user interface a bit

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 17 Apr 2009 01:29:00 -0600

kdebase-trinity (4:3.5.10-0ubuntu4~intrepid8) intrepid; urgency=low

  * Repaired plasma startup to autodetect Trinity/KDE4 and not run/run accordingly

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 15 Apr 2009 11:37:00 -0600

kdebase-trinity (4:3.5.10-0ubuntu4~intrepid7) intrepid; urgency=low

  * Added a useful, configurable autocomplete feature to the KDE run dialog


