=== debian/control ===
Source: kdebase-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Fathi Boudra <fboudra@free.fr>, Modestas Vainius <geromanas@mailas.com>, Sune Vuorela <debian@pusling.com>
Build-Depends: libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 5.0.31), quilt, autotools-dev, gawk, gettext, kdelibs4-trinity-dev (>= 4:3.5.10), libldap2-dev, libhal-dev (>= 0.5.5.1-2) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libhal-storage-dev (>= 0.5.5.1-2) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libncurses5-dev, libpam0g-dev, libpopt-dev, libraw1394-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsensors4-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsmbclient-dev, libusb-dev, libxtst-dev, libfontenc-dev, libxss-dev, libxcomposite-dev, libxdamage-dev, libxkbfile-dev, xutils, sharutils, texinfo, libavahi-compat-libdnssd-dev (>= 0.4), x11proto-kb-dev, xmkmf | xutils-dev, kdelibs4c2a-trinity, libogg-dev, libdbus-tqt-1-dev, libavahi-tqt-dev, libudev-dev, libart-2.0-dev (>= 2.3.17), libtool, libltdl-dev, binutils-dev, cmake
Build-Depends-Indep: doxygen, libtqtinterface-doc, graphviz, gsfonts-x11, kdelibs4-trinity-doc
Build-Conflicts: nvidia-glx (<< 1.0.8774-6)
Standards-Version: 3.8.4

Package: kdebase-trinity
Section: kde
Architecture: all
Depends: kappfinder-trinity (>= ${Source-Version}), kate-trinity (>= ${Source-Version}), kcontrol-trinity (>= ${Source-Version}), kdebase-trinity-bin (>= ${Source-Version}), kdebase-data-trinity (>= ${Source-Version}), kdebase-kio-plugins-trinity (>= ${Source-Version}), kdepasswd-trinity (>= ${Source-Version}), kdeprint-trinity (>= ${Source-Version}), kdesktop-trinity (>= ${Source-Version}), kfind-trinity (>= ${Source-Version}), khelpcenter-trinity (>= ${Source-Version}), kicker-trinity (>= ${Source-Version}), klipper-trinity (>= ${Source-Version}), kmenuedit-trinity (>= ${Source-Version}), konqueror-nsplugins-trinity (>= ${Source-Version}), konqueror-trinity (>= ${Source-Version}), konsole-trinity (>= ${Source-Version}), kpager-trinity (>= ${Source-Version}), kpersonalizer-trinity (>= ${Source-Version}), ksmserver-trinity (>= ${Source-Version}), ksplash-trinity (>= ${Source-Version}), ksysguard-trinity (>= ${Source-Version}), ktip-trinity (>= ${Source-Version}), kwin-trinity (>= ${Source-Version}), libkonq4-trinity (>= ${Source-Version}), hal-trinity | kfreebsd-gnu | hurd, xcalib
Recommends: kdm-trinity (>= ${Source-Version}), kdebase-runtime-data-common-trinity, libtqt3-integration-trinity
Suggests: kdebase-trinity-doc-html (>= ${Source-Version})
Description: base components from the official KDE release
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes the nucleus of KDE, namely the minimal package
 set necessary to run KDE as a desktop environment. This includes the
 window manager, taskbar, control center, a text editor, file manager,
 web browser, X terminal emulator, and many other programs and components.

Package: kdebase-runtime-data-common-trinity
Section: kde
Architecture: all
Depends: kdebase-trinity
Description: Shared common files for Trinity and KDE4
 .
 Shared common files for both Trinity and KDE4
 Such as the desktop right-click-"Create New" list

Package: kappfinder-trinity
Section: kde
Architecture: any
Depends: ${shlibs:Depends}
Replaces: kdebase-trinity (<< 4:3.0.0)
Description: non-KDE application finder for KDE
 kappfinder searches your workstation for many common applications and
 creates menu entries for them.
 .
 This package is part of KDE, and a component of the KDE base module.
 See the 'kde-trinity' and 'kdebase-trinity' packages for more information.

Package: kate-trinity
Section: editors
Architecture: any
Depends: ${shlibs:Depends}
Recommends: kregexpeditor-trinity
Suggests: aspell | ispell | hspell, kate-plugins-trinity, khelpcenter-trinity, konsole-trinity
Replaces: kdebase-trinity-doc (<< 4:3.0.0)
Description: advanced text editor for KDE
 Kate is a multi document editor, based on a rewritten version of the kwrite
 editing widget of KDE.
 .
 It is a multi-view editor that lets you view several instances of the same
 document with all instances being synced, or view more files at the same
 time for easy reference or simultaneous editing. The terminal emulation
 and sidebar are docked windows that can be plugged out of the main window,
 or replaced therein according to your preference.
 .
 Some random features:
 .
  * Editing of big files
  * Extensible syntax highlighting
  * Folding
  * Dynamic word wrap
  * Selectable encoding
  * Filter command
  * Global grep dialog
 .
 This package is part of KDE, and a component of the KDE base module.
 See the 'kde-trinity' and 'kdebase-trinity' packages for more information.

Package: kcontrol-trinity
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, kdebase-data-trinity (>> ${KDE-Version3}), kdebase-data-trinity (<< ${KDE-Next-Version3}), usbutils
Recommends: udev
Suggests: khelpcenter-trinity, ntpdate | ntp-simple
Conflicts: kdebase-libs-trinity (<< 4:3.0.0)
Replaces: kdebase-trinity (<< 4:3.0.0), kdebase-trinity-doc (<< 4:3.0.0), kdebase-libs-trinity (<< 4:3.0.0), konqueror-trinity (<< 4:3.0.0)
Description: control center for KDE
 The KDE Control Center provides you with a centralized and convenient
 way to configure all of your KDE settings.
 .
 It is made up of multiple modules. Each module is a separate application,
 but the control center organizes all of these programs into a convenient
 location.
 .
 In combination with udev KControl supports the advanced
 configuration of Logitech mice, though the user must be a member of the
 plugdev group.
 .
 This package is part of KDE, and a component of the KDE base module.
 See the 'kde-trinity' and 'kdebase-trinity' packages for more information.

Package: kdebase-trinity-bin
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, libpam-runtime (>= 0.76-14)
Suggests: khelpcenter-trinity, gdb
Conflicts: kdebase-libs-trinity (<< 4:3.0.0), kdm-trinity (<< 4:3.4.1-2), kdebase-workspace-data-trinity (<< 7:3.5.0)
Replaces: kcontrol-trinity (<< 4:3.3.0), kdebase-trinity (<< 4:3.0.0), kdebase-trinity-doc (<< 4:3.0.0), kdebase-libs-trinity (<< 4:3.0.0), kscreensaver-trinity (<< 4:3.0.0), kdm-trinity (= 4:3.3.2-1b)
Description: core binaries for the KDE base module
 This package contains miscellaneous programs needed by other
 KDE applications, particularly those in the KDE base module.
 .
 This package is part of KDE, and a component of the KDE base module.
 See the 'kde-trinity' and 'kdebase-trinity' packages for more information.

Package: kdebase-data-trinity
Section: kde
Architecture: all
Conflicts: kcontrol-trinity (<< 4:3.4.2-1), kwin-trinity (<< 4:3.4.2-1), kicker-trinity (<< 4:3.4.2-1)
Replaces: kdebase-trinity (<< 4:3.0.0), kdeedu-data-trinity (<< 4:3.4.0), kdelibs-data-trinity (<< 4:3.3.0), kdewallpapers-trinity (<< 4:3.0.0), kcontrol-trinity (<< 4:3.5.5a.dfsg.1-1ubuntu18)
Description: shared data files for the KDE base module
 This package contains the architecture-independent shared data files
 needed for a basic KDE desktop installation.
 .
 This package is part of KDE, and a component of the KDE base module.
 See the 'kde-trinity' and 'kdebase-trinity' packages for more information.

Package: kdebase-trinity-dev
Section: devel
Architecture: any
Depends: kate-trinity (= ${Source-Version}), kcontrol-trinity (= ${Source-Version}), kdebase-trinity-bin (= ${Source-Version}), kdeprint-trinity (= ${Source-Version}), kdesktop-trinity (= ${Source-Version}), khelpcenter-trinity (= ${Source-Version}), kicker-trinity (= ${Source-Version}), klipper-trinity (= ${Source-Version}), kmenuedit-trinity (= ${Source-Version}), konqueror-nsplugins-trinity (= ${Source-Version}), konqueror-trinity (= ${Source-Version}), konsole-trinity (= ${Source-Version}), ksmserver-trinity (= ${Source-Version}), ksplash-trinity (= ${Source-Version}), ksysguard-trinity (= ${Source-Version}), kwin-trinity (= ${Source-Version}), kdelibs4-trinity-dev (>= 4:3.5.8)
Replaces: kate-trinity (<< 4:3.0.0), kdebase-trinity (<< 4:3.0.0), konqueror-trinity (<< 4:3.0.0)
Description: development files for the KDE base module
 This package contains headers and other development files needed to
 compile software based on the KDE base module.
 .
 This package is part of KDE, and a component of the KDE base module.
 See the 'kde-trinity' and 'kdebase-trinity' packages for more information.

Package: kdebase-trinity-doc
Section: doc
Architecture: all
Replaces: libkonq4-trinity-dev (<< 4:3.2.0)
Description: developer documentation for the KDE base module
 This package contains documentation for the KDE base module, of
 use more for developers creating applications than regular users.
 .
 This package is part of KDE, and a component of the KDE base module.
 See the 'kde-trinity' and 'kdebase-trinity' packages for more information.

Package: kdebase-trinity-doc-html
Architecture: all
Section: doc
Suggests: konqueror-trinity | www-browser, kdebase-trinity
Description: KDE base documentation in HTML format
 By default the modules provided by KDE only provide their documentation
 in KDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the KDE base documentation converted to
 HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /opt/trinity/share/doc/tde/HTML/<language>/<app>/, for instance
 /opt/trinity/share/doc/tde/HTML/en/kate/. Documentation is provided for most
 KDE base packages.
 .
 This package is part of KDE, and a component of the KDE base module.
 See the 'kde-trinity' and 'kdebase-trinity' packages for more information.

Package: kdebase-kio-plugins-trinity
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, kdesktop-trinity, libsasl2-modules, psmisc, man-db (>= 2.5.1-1)
Recommends: hal-trinity, pmount, cryptsetup, kamera-trinity, kdemultimedia-kio-plugins-trinity
Suggests: khelpcenter-trinity, mtools
Conflicts: kdebase-libs-trinity (<< 4:3.0.0), mediamanager
Replaces: kdebase-trinity (<< 4:3.0.0), kdebase-trinity-doc (<< 4:3.0.0), kdebase-libs-trinity (<< 4:3.0.0), konqueror-trinity (<< 4:3.0.0), kdebase-trinity-bin (<< 4:3.5.5a.dfsg.1-1ubuntu18), kdebase-data-trinity (<< 4:3.5.8-2ubuntu18)
Description: core I/O slaves for KDE
 This package includes the base kioslaves. They include, amongst many
 others, file, http, ftp, smtp, pop and imap.
 .
 It also includes the media kioslave, which handles removable devices,
 and which works best with hal (and therefore udev) and pmount. Media
 also extends the functionality of many other kioslaves. To use this
 service, please make sure that your user is a member of the plugdev
 group.
 .
 This package is part of KDE, and a component of the KDE base module.
 See the 'kde-trinity' and 'kdebase-trinity' packages for more information.

Package: kdepasswd-trinity
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: password changer for KDE
 This is a simple application which allows users to change their
 system passwords.
 .
 This package is part of KDE, and a component of the KDE base module.
 See the 'kde-trinity' and 'kdebase-trinity' packages for more information.

Package: kdeprint-trinity
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, enscript, poster, psutils
Recommends: kghostview-trinity | postscript-viewer
Conflicts: foomatic-db-compressed-ppds
Suggests: khelpcenter-trinity, efax | hylafax-client | mgetty-fax, smbclient
Replaces: kdebase-trinity (<< 4:3.0.0), kdebase-trinity-doc (<< 4:3.0.0)
