=== debian/rules ===
#!/usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk
include debian/cdbs/debian-qt-kde.mk

DEB_KDE_APIDOX := yes

CXXFLAGS := -DSMB_CTX_FLAG_USE_KERBEROS -DSMB_CTX_FLAG_FALLBACK_AFTER_KERBEROS -g -Wall $(DEB_OPT_FLAG)

DEB_CMAKE_EXTRA_FLAGS := -DLIB_SUFFIX="" -DCMAKE_INSTALL_PREFIX="/opt/trinity" -DCONFIG_INSTALL_DIR="/etc/trinity" -DSYSCONF_INSTALL_DIR="/etc/trinity" -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" -DCMAKE_INCLUDE_PATH="/opt/trinity/include/" -DAUTODETECT_QT_DIRS="ON" -DCMAKE_VERBOSE_MAKEFILE="ON" -DBUILD_ALL="ON" -DCMAKE_SKIP_RPATH="OFF" \
-DKCHECKPASS_PAM_SERVICE="kcheckpass-trinity" -DKDM_PAM_SERVICE="kdm-trinity" -DKSCREENSAVER_PAM_SERVICE="kscreensaver-trinity" -DWITH_KDESKTOP_LOCK_BACKTRACE="ON" -DWITH_USBIDS="/usr/share/misc/usb.ids" \
-DWITH_ARTS="ON" -DWITH_SHADOW="ON" -DWITH_PAM="ON" -DWITH_SASL="ON" -DWITH_SUDO_KDESU_BACKEND="OFF" -DWITH_LDAP="ON" -DWITH_SAMBA="ON" -DWITH_LIBRAW1394="ON" -DWITH_OPENEXR="ON" -DWITH_XCOMPOSITE="ON" -DWITH_XCURSOR="ON" -DWITH_XFIXES="ON" -DWITH_XRANDR="ON" -DWITH_XINERAMA="ON" -DWITH_HAL="ON" -DWITH_XDMCP="ON" -DWITH_XRENDER="ON" -DWITH_XDAMAGE="ON" -DWITH_XEXT="ON" -DWITH_XTEST="ON" -DWITH_XSCREENSAVER="ON" -DWITH_LIBART="ON" \
-DCMAKE_BUILD_TYPE=RelWithDebInfo

# Honour "parallel=N" option of DEB_BUILD_OPTIONS.  Comment out to
# never build in parallel, regardless of DEB_BUILD_OPTIONS.
DEB_BUILD_PARALLEL = true

DEB_FIXPERMS_EXCLUDE := \
	opt/trinity/bin/kdesud    \
	opt/trinity/bin/kdmtsak

DEB_DH_STRIP_ARGS  := --dbg-package=kdebase-trinity-dbg

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

DOC_HTML_PRUNE := kinfocenter ksplashml kcontrol khelpcenter kdesu knetattach kioslave kxkb kdebugdialog kdcop

PACKAGES_WITH_LIBS := kate-trinity kcontrol-trinity kdebase-trinity-bin kicker-trinity konqueror-trinity ksplash-trinity \
			ksysguard-trinity kwin-trinity libkonq4-trinity

DEB_DH_MAKESHLIBS_ARGS_kate-trinity		:= -V'kate-trinity (>= 4:3.5.8-1)'
DEB_DH_MAKESHLIBS_ARGS_kcontrol-trinity		:= -V'kcontrol-trinity (>= 4:3.5.8-1)'
DEB_DH_MAKESHLIBS_ARGS_kdebase-trinity-bin		:= -V'kdebase-trinity-bin (>= 4:3.5.8-1)'
DEB_DH_MAKESHLIBS_ARGS_kicker-trinity		:= -V'kicker-trinity (>= 4:3.5.8-1)'
DEB_DH_MAKESHLIBS_ARGS_konqueror-trinity		:= -V'konqueror-trinity (>= 4:3.5.8-1)'
DEB_DH_MAKESHLIBS_ARGS_ksplash-trinity		:= -V'ksplash-trinity (>= 4:3.5.8-1)'
DEB_DH_MAKESHLIBS_ARGS_ksysguard-trinity		:= -V'ksysguard-trinity (>= 4:3.5.8-1)'
DEB_DH_MAKESHLIBS_ARGS_kwin-trinity		:= -V'kwin-trinity (>= 4:3.5.8-1)'
DEB_DH_MAKESHLIBS_ARGS_libkonq4-trinity		:= -V'libkonq4-trinity (>= 4:3.5.8-1)'

#shlibs_ver = 4:3.5.0-1
#$(foreach p,$(PACKAGES_WITH_LIBS),$(eval DEB_DH_MAKESHLIBS_ARGS_$(p) := -V'$(p) (>= $(shlibs_ver))'))

makebuilddir::
	touch kcontrol/energy/pics/energybig.png
	touch kcontrol/energy/pics/lo-energy.png
	uudecode -o kcontrol/pics/cr128-app-energy_star.png debian/img/cr128-app-energy_star.png.uu
	uudecode -o kcontrol/pics/cr16-app-energy_star.png debian/img/cr16-app-energy_star.png.uu
	uudecode -o kcontrol/pics/cr32-app-energy_star.png debian/img/cr32-app-energy_star.png.uu
	uudecode -o kcontrol/pics/cr48-app-energy_star.png debian/img/cr48-app-energy_star.png.uu
	uudecode -o kcontrol/pics/cr64-app-energy_star.png debian/img/cr64-app-energy_star.png.uu
	# KIO Media LUKS icons
	uudecode -o pics/crystalsvg/cr128-device-compact_flash_mount_decrypt.png debian/img/medialuks/cr128-device-compact_flash_mount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-compact_flash_unmount_decrypt.png debian/img/medialuks/cr128-device-compact_flash_unmount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-compact_flash_unmount_encrypt.png debian/img/medialuks/cr128-device-compact_flash_unmount_encrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-hdd_mount_decrypt.png debian/img/medialuks/cr128-device-hdd_mount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-hdd_unmount_decrypt.png debian/img/medialuks/cr128-device-hdd_unmount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-hdd_unmount_encrypt.png debian/img/medialuks/cr128-device-hdd_unmount_encrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-memory_stick_mount_decrypt.png debian/img/medialuks/cr128-device-memory_stick_mount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-memory_stick_unmount_decrypt.png debian/img/medialuks/cr128-device-memory_stick_unmount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-memory_stick_unmount_encrypt.png debian/img/medialuks/cr128-device-memory_stick_unmount_encrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-sd_mmc_mount_decrypt.png debian/img/medialuks/cr128-device-sd_mmc_mount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-sd_mmc_unmount_decrypt.png debian/img/medialuks/cr128-device-sd_mmc_unmount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-sd_mmc_unmount_encrypt.png debian/img/medialuks/cr128-device-sd_mmc_unmount_encrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-smart_media_mount_decrypt.png debian/img/medialuks/cr128-device-smart_media_mount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-smart_media_unmount_decrypt.png debian/img/medialuks/cr128-device-smart_media_unmount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-smart_media_unmount_encrypt.png debian/img/medialuks/cr128-device-smart_media_unmount_encrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-usbpendrive_mount_decrypt.png debian/img/medialuks/cr128-device-usbpendrive_mount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-usbpendrive_unmount_decrypt.png debian/img/medialuks/cr128-device-usbpendrive_unmount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr128-device-usbpendrive_unmount_encrypt.png debian/img/medialuks/cr128-device-usbpendrive_unmount_encrypt.png.uu
	uudecode -o pics/crystalsvg/cr16-device-cdrom_mount_decrypt.png debian/img/medialuks/cr16-device-cdrom_mount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr16-device-cdrom_unmount_decrypt.png debian/img/medialuks/cr16-device-cdrom_unmount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr16-device-cdrom_unmount_encrypt.png debian/img/medialuks/cr16-device-cdrom_unmount_encrypt.png.uu
	uudecode -o pics/crystalsvg/cr16-device-cdwriter_mount_decrypt.png debian/img/medialuks/cr16-device-cdwriter_mount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr16-device-cdwriter_unmount_decrypt.png debian/img/medialuks/cr16-device-cdwriter_unmount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr16-device-cdwriter_unmount_encrypt.png debian/img/medialuks/cr16-device-cdwriter_unmount_encrypt.png.uu
	uudecode -o pics/crystalsvg/cr16-device-compact_flash_mount_decrypt.png debian/img/medialuks/cr16-device-compact_flash_mount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr16-device-compact_flash_unmount_decrypt.png debian/img/medialuks/cr16-device-compact_flash_unmount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr16-device-compact_flash_unmount_encrypt.png debian/img/medialuks/cr16-device-compact_flash_unmount_encrypt.png.uu
	uudecode -o pics/crystalsvg/cr16-device-dvd_mount_decrypt.png debian/img/medialuks/cr16-device-dvd_mount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr16-device-dvd_unmount_decrypt.png debian/img/medialuks/cr16-device-dvd_unmount_decrypt.png.uu
	uudecode -o pics/crystalsvg/cr16-device-dvd_unmount_encrypt.png debian/img/medialuks/cr16-device-dvd_unmount_encrypt.png.uu
